gradle

  1. xside

    Создание JAR

    пишу grade build выходит это: * Where: Build file 'D:\Projects\Mod\build.gradle' line: 11 * What went wrong: A problem occurred evaluating root project 'Mod'. > Failed to apply plugin 'net.minecraftforge.gradle'. > Found Gradle version Gradle 6.8.3. Versions Gradle 6.0.0 and newer are not...
  2. А

    Gradle не работает. Помогите с проблемой.

    Вчера работал. Сегодня перестал. Хотел сбилдить мод. Что делать?
  3. x1nergy

    CodeChickenLib не подгружает

    Всем привет. Пытаюсь поставить исходники Draconic Evolution на версию 1.7.10. Грабли всё успешно билдят, но не подгружают CodeChickenLib. build.gradle (из коробки DE): buildscript { repositories { mavenCentral() maven { name = "forge" url =...
  4. Kitoglav

    отладка при запуске через gradle task

    долгое время не писал код. накатил вчера эклипс, поставил форджу, а там граблетаски какие-то. как все подготовить, запустить и т.д разобрался, но так и не понял - а как применение изменений в реальном времени включить? жук-то не работает больше.
  5. G

    Помощь по Gradle

    У меня во время установки gradle ошибка в консоли и я не знаю как исправить ведь из-за неё в eclipse нету gradle tasks и что мне делать, помогите пожалуйста?
  6. neverlessy

    Вечные беды с IDEA

    Ну как-то так. Происходит при запуске runClient Пробовал на 8 и 11 java java -version выхлоп 1.8
  7. O

    Gradlew

  8. T

    Gradlew forgeSrc

    Кто может скинуть forgeSrc-1.7.10-10.13.4.1614-1.7.10.jar и forgeSrc-1.7.10-10.13.4.1614-1.7.10.jar.md5 c папки C:\Users\<user>\.gradle\caches\minecraft\net\minecraftforge\forge\1.7.10-10.13.4.1614-1.7.10?
  9. BlesseNtumble

    Трабл с Forge 2847

    Решил поставить среду с 0, скачал mdk 2847 билда. Распаковал, запустил gradlew setupDecompWorkspace и gradlew eclipse. И вроде все прекрасно скачалось, поставилось... Но При импорте грабле-проекта в Eclipse импортируются все либы-зависимости, кроме Forge. Его просто нет и он не хочет цеплятся...
  10. mufasa555

    Gradle не может найти fernflower (?)

    Уже день думаю над решением, в чём может быть проблема?
  11. hohserg

    Сборка OpenComputers 1.7.10

    Пытаюсь собрать OpenComputers из исходников Вот такой лог: PS C:\Users\hohserg\Documents\GitHub\OpenComputers> .\gradlew.bat build Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256M; support was removed in 8.0 > Configure...
  12. hohserg

    MDKGradleProjectWithDependentSubprojects 1.1

    Если коротко, то это решение этого вопроса: Модульный проект Это воркспейс gradle-проекта с двумя саб-проектами: ModA и ModB. Каждый саб-проект содержит forge mdk с example-модом. ModB зависит от ModA. При запуске майна из саб-проекта MoB в сборке будет присутствовать также мод из ModA...
  13. MaximPixel

    Модульный проект

    Я реально не хотел создавать этот вопрос, но уже все методы с форума и с интернета перепробовал. Вообщем, я хочу для примера сделать мод 1 и мод 2 как модули, и я хочу чтобы при запуске мода 1 запускался и мод 2. Сделал два проекта модулями вот так вот: (Генерировал проекты с помощью плагина...
  14. yabot

    Не могу импортировать

    Я хочу импортировать org.spongepowered:mixin com.github.ZeroMemes:Alpine net.jodah:typetools com.googlecode.json-simple:json-simple:1.1.1 club.minnced:java-discord-rpc:2.0.1 com.lukflug:panelstudio com.lukflug:panelstudio-mc12 org.lwjgl:3.23 buildscript { repositories { jcenter()...
  15. Maxed

    Gradele sourse

    error: diamond operator is not supported in -source 1.6 private final Set<Class<? extends T>> classes = new HashSet<>(); ^ (use -source 7 or higher to enable diamond operator) Как сменить? я ставлю тут 8 версию , а gradle...
  16. L

    как правильно настроить build gradle

    Всем привет.Подскажите как настроить build gradle ,какой FG использовать для 1.12.2 версии майна В данный момент выглядит вот так buildscript { repositories { jcenter() maven { url = "http://files.minecraftforge.net/maven" } } dependencies {...
  17. L

    intellij idea не грузит текстуры

    Всем привет.Почему idea не грузит текстуры? вот build.gradle buildscript { repositories { jcenter() maven { url = "http://files.minecraftforge.net/maven" } } dependencies { classpath 'net.minecraftforge.gradle:ForgeGradle:2.3-SNAPSHOT' } }...
  18. L

    Ошибка, не может найти зависимость

    До какого то момента всё работало хорошо, потом проект перестал находить зависимость в cache файлах gradle (ошибка во всех проектах). Попробовал gradlew build --refresh-dependencies и вышло это
  19. Quarter

    Дубликаты модов-зависимостей в многомодульном проекте

    Граждане! Появилась проблема. У меня есть modA и modB(modA в зависимостях у modB). Я добавляю к modA в зависимость сторонний мод, и при попытке запустить modB через GradleStart из идеи лезет такое: java.lang.IllegalArgumentException: Multiple entries with same key: other=FMLMod:other{1.0} and...
  20. NooneKnows

    Краш миксинов с idea и фордж, непарсящий mcmod.info

    Всем привет. На днях вкатился в кубики, бодаюсь преимущественно с граблями пока, уже можно сказать третий день. Возникла проблема. При запуске кубиков через runClient идеи, все ломается: Подключил миксины - оно пишет что не может загрузить конфиг и падает. Удаляю класствикер и запускаю без...
Сверху